#include <json-c/json.h>
#include <stdio.h>
int main() {
    json_object *obj = json_tokener_parse("{\"hidden\": false, \"hidden2\": \"false\", \"hidden3\": true, \"hidden4\": \"true\"}");
    json_object *val_obj;
    json_object_object_get_ex(obj, "hidden", &val_obj);
    printf("boolean: %d\n", json_object_get_boolean(val_obj));
    json_object_object_get_ex(obj, "hidden2", &val_obj);
    printf("string false: %d\n", json_object_get_boolean(val_obj));
    json_object_object_get_ex(obj, "hidden3", &val_obj);
    printf("true: %d\n", json_object_get_boolean(val_obj));
    json_object_object_get_ex(obj, "hidden4", &val_obj);
    printf("true string: %d\n", json_object_get_boolean(val_obj));
    return 0;
}
